import ask from './ask';
const serviceURI = '/qanda';
export const activeQuestions = orderId => {
    return ask({path:`/order/${orderId}/question`, serviceURI});
}


export const searchText =  (key, orderId = 'f870c60c-c1e5-4723-a0e4-f298a0895216') => {
    return ask({path:`/source-text/question`, queries:{key, orderId} ,serviceURI});
}

export const saveQuestion = ({refId, orderUid, orderId, langs, ...params}) => {
    return ask({
        path:`/question` ,
        serviceURI, 
        options: {
            method: 'POST',
            body: JSON.stringify(Object.assign({groupKey: refId, orderId, tags:[], pool: 'order'}, params))
        }
    });
}

export const resolveQuestion = (id, isResolve) => {
    return ask({
        path:`/question/${id}` ,
        serviceURI, 
        options: {
            method: 'PUT',
            body: JSON.stringify({isResolve})
        }
    });
}

export const saveAnswer = ({questionId, content}) => {
    return ask({
        path:`/question/${questionId}/answer` ,
        serviceURI, 
        options: {
            method: 'POST',
            body: JSON.stringify({ content, state: 0, tags: [] })
        }
    });
}