import React from 'react';
import {string, func} from 'prop-types';
import QuestionForm from './QuestionForm';
import {ConsumQandaContext} from './QandaContext';

class QuestionNew extends React.PureComponent {
    static propTypes = {
        className: string,
        userUid: string,
        orderUid: string,
        orderId: string,
        onSearchText: func.isRequired,
        onSaveQuestion: func.isRequired,
        onCancelQuestion: func.isRequired
    }

    state = {
        ctx: null,
        groupKey: null,
        question:{
            orderUid: this.props.orderUid,
            orderId: this.props.orderId,
            content: '',
            refId: '',
            ctx: null,
            langs:[]
        }
    }
    render() {
        const { style, onCancelQuestion, onSearchText, onSaveQuestion } = this.props; 
        const { question } = this.state;

        return (
            <div style={style} className="question-new container">
                <div className="h5 section-title">Add new question</div>
                <QuestionForm data={question} onSave={onSaveQuestion} onClose={onCancelQuestion} searchText={onSearchText} />
            </div>
        );
    }
}

export default ConsumQandaContext(QuestionNew);