import React from 'react';

export function buildHighlightMatchedText(inputText, searchText) {
    let highlightText;

    if (typeof inputText === 'string' && searchText) {
        const reg = new RegExp(searchText, 'gi');

        highlightText = inputText.replace(
            reg,
            matchedText => `<mark>${matchedText}</mark>`
        );
    }

    return highlightText ? (
        <span dangerouslySetInnerHTML={{ __html: highlightText }} />
    ) : (
        inputText
    );
}
