var path = require('path');
const CopyWebpackPlugin = require('copy-webpack-plugin');

var config =  {
  devtool: 'source-map',
  entry: { index: './src/lib/index.jsx' },
  module: {
    rules: [
      {
        test: /\.(js|jsx)$/,
        exclude: /node_modules/,
        use: ['babel-loader']
      },
      {
        test: /\.scss$/,
        use: [
            "style-loader",
            "css-loader",
            "sass-loader"
        ]
      }
    ]
  },
  plugins:[
    new CopyWebpackPlugin([
      { from: './src/lib/style.scss', to: './style.scss', toType: 'file' },
    ])
  ],
  resolve: {
    extensions: ['*', '.js', '.jsx']
  },
   externals: {
    react: {
      root: 'React',
      commonjs: 'react',
      commonjs2: 'react',
      amd: 'react'
    },
    'react-dom': {
      root: 'ReactDOM',
      commonjs: 'react-dom',
      commonjs2: 'react-dom',
      amd: 'react-dom'
    },
    'prop-types': {
      root: 'prop-types',
      commonjs: 'prop-types',
      commonjs2: 'prop-types',
      amd: 'prop-types'
    },
    'formik': {
      root: 'Formik',
      commonjs: 'formik',
      commonjs2: 'formik',
      amd: 'formik'
    },
    'yup': {
      root: 'Yup',
      commonjs: 'yup',
      commonjs2: 'yup',
      amd: 'yup'
    },
    'react-virtualized':{
      root: 'ReactVirtualized',
      commonjs: 'react-virtualized',
      commonjs2: 'react-virtualized',
      amd: 'react-virtualized'
    },
    'react-select':{
      root: 'react-select',
      commonjs: 'react-select',
      commonjs2: 'react-select',
      amd: 'react-select',
    },
    'classnames':{
      root: 'ClassNames',
      commonjs: 'classnames',
      commonjs2: 'classnames',
      amd: 'classnames'
    }
  },

  stats: {
    all: true,
    modules: true,
    maxModules: 0,
    errors: true,
    warnings: true,
    moduleTrace: true,
    errorDetails: true
  },
  output: {
    path: path.join(__dirname, './lib'),
    filename: '[name].js',
    library: 'ld-qanda-rux',
    libraryTarget: 'commonjs2'
  },
}

module.exports = config;
